<div style="margin-top: 30px;">
    <div class="container">
        <h5>
            <span>Tambah Request</span>
        </h5>
        &nbsp;
        <p-dataTable [value]="transferUnitRequests" [editable]="true" [totalRecords]="totalItems" [responsive]="true"
            [lazy]="true" [(first)]="first" totalRecords="totalItems" dataKey="idRequest" expandableRows="false"
            rowHover="true" (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
            <p-header>
                <div class="form-control col-md-12">
                    <div class="row text-left">
                        <div class="row col-md-12">
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate">Nomor Request</label>
                                    <input type="text" class="form-control" placeholder="Nomor Request" [(ngModel)]="transferRes.ReqnotNumber"
                                        [disabled]="true" readonly>
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                    <label class="form-control-label" for="field_dateCreate">Nama Event</label>
                                    <p-autoComplete [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}" [(ngModel)]="text" [disabled]="disableNamaEvent" (onSelect)="onSelectEventName(text)"
                                        [delay]="1200" [suggestions]="nameEvent" (completeMethod)="EventName($event)" required></p-autoComplete>
                            </div>
                            <div class="col-md-4 form-group">
                                <div class="input-group">
                                    <label>Status :</label>
                                    <!-- <p-autoComplete field="stockOpnameNumber"
                                        [forceSelection]="true" [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"></p-autoComplete> -->
                                </div>
                            </div>
                        </div>
                        <div class="row col-md-12">
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate">Tanggal Request</label>
                                    <input type="text" class="form-control" placeholder="Tanggal Request" [(ngModel)]="transferRes.RequestDate"
                                        [disabled]="true" readonly>
                                </div>
                            </div>
                            <!-- <div *ngIf="disableTglEvent" class="col-md-4 form-group">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate">Tanggal Mulai</label>
                                    <input type="text" datepicker filter="date" class="form-control" placeholder="Tanggal Mulai" [(ngModel)]="selectedTglMulai"
                                        [disabled]="true" readonly>
                                </div>
                            </div> -->
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label>Tanggal Mulai</label>
                                    <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" [(ngModel)]="selectedTglMulai" [showIcon]="true"
                                            [disabled]="active" required></p-calendar>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label>Tanggal Pengirim</label>
                                    <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" [(ngModel)]="selectedTglKirim" [showIcon]="true"
                                            [disabled]="active" required></p-calendar>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row col-md-12">
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label>Tipe Event</label>
                                    <select class="form-control" id="field_eventType" name="eventType" (change)="onChanegeEventType()"
                                        [(ngModel)]="selectedEventType" [disabled]="active" required>
                                        <option [ngValue]="etype.idEventType" *ngFor="let etype of eventType; trackBy: trackEventType">{{etype.description}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label>Tanggal Selesai</label>
                                    <div class="input-group input-calendar">
                                        <p-calendar dateFormat="dd-mm-yy" [(ngModel)]="selectedTglSelesai" [showIcon]="true"
                                        [disabled]="active" required></p-calendar>
                                    </div>
                                </div>
                            </div>
                            <!-- <div *ngIf="disableTglEvent" class="col-md-4 form-group">
                                
                                <div class="form-group">
                                        <label class="form-control-label" for="field_dateCreate">Tanggal Selesai</label>
                                        <input type="text" datepicker filter="date" class="form-control" placeholder="Tanggal Selesai" [(ngModel)]="selectedTglSelesai" [disabled]="true">
                                </div>
                            </div> -->
                            <div class="col-md-4 form-group">
                                <div class="form-group">
                                    <label>Tanggal Pengambilan</label>
                                    <div class="input-group input-calendar">
                                        <p-calendar dateFormat="dd-mm-yy" [(ngModel)]="selectedTglAmbil" [showIcon]="true" [disabled]="active" required></p-calendar>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="col-md-4 offset-md-8">
                                <div class="col-md-12 text-right">
                                    <p-button label="Generate" styleClass="btn-primary"></p-button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr width="98%" align="center">
                    <form name="editForm" role="form" novalidate (ngSubmit)="tambahDetail(selectedGood,selectedYear,selectedFeature)" #editForm="ngForm">
                        <div class="row text-left">
                            <div class="row col-md-12">
                                <div class="col-md-4 form-group">
                                    <label class="from-control-label" fro="field_dateCreate">Market Name</label>
                                    <select class="form-control" id="field_good" name="good" [(ngModel)]="selectedGood"
                                        (change)="loadYear(selectedGood)" [disabled]="active">
                                        <option [ngValue]="good.idProduct" *ngFor="let good of goods; trackBy: trackGoodById">{{good.idProduct}}
                                            - {{good.name}}</option>
                                    </select>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>Tahun</label>
                                    <select class="form-control" id="field_year" name="year" [(ngModel)]="selectedYear"
                                        (change)="loadFeature(selectedGood,selectedYear)" [disabled]="active" required>
                                        <option [ngValue]="year" *ngFor="let year of years; trackBy: trackYear">{{year}}</option>
                                    </select>
                                </div>
                                <div class="col-md-4 form-group">
                                    <label>Warna</label>
                                    <select class="form-control" id="fiels_feature" name="feature" [(ngModel)]="selectedFeature"
                                        [disabled]="active" required>
                                        <option [ngValue]="feature.idFeature" *ngFor="let feature of features; trackBy: trackFeatureById">{{feature.description}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row col-md-12">
                                <div class="col-md-4 form-group">
                                    <label>Qty Request</label>
                                    <input class="form-control" min="1" type="number" name="Quantity" [(ngModel)]="qtyRequest"
                                        [disabled]="active">
                                </div>
                                <div class="col-sm-8">
                                    <div class="form-group">
                                        <div *ngIf="!active" class="btn-filter-wrapper pull-right" style="margin-top: 20px">
                                            <button 
                                                type="submit" 
                                                class="btn btn-primary btn-filter" 
                                                [disabled]="editForm.form.invalid">
                                                <span>Tambah</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </p-header>
            <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body"> {{rowIndex + 1}} </ng-template>
            </p-column>
            <p-column header="Market Name">
                <!-- <p-column header="{{'mpmApp.stockOpname.stockOpnameNumber'|translate}}"> -->
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.MarketName}}
                </ng-template>
            </p-column>
            <p-column header="Kode Type">
                <!-- <p-column header="{{'mpmApp.stockOpname.dateCreated'|translate}}" [style]="{'width': '150px'}"> -->
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idProduct}}
                </ng-template>
            </p-column>
            <p-column header="Tahun">
                <!-- <p-column header="{{'mpmApp.stockOpname.calendar'|translate}}"> -->
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.Year}}
                </ng-template>
            </p-column>
            <p-column header="Warna">
                <!-- <p-column header="{{'mpmApp.stockOpname.internal'|translate}}"> -->
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.Color}}
                </ng-template>
            </p-column>
            <p-column header="Qty Request">
                <!-- <p-column header="{{'mpmApp.stockOpname.stockOpnameType'|translate}}"> -->
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.Qty}}
                </ng-template>

            </p-column>
            <p-column header="Hapus" [style]="{'width': '100px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    <button pButton type="submit" icon="fa-remove" class="flat-button" (click)="DeleteOne(rowIndex)" [disabled]="active" pTooltip="Hapus">
                    </button>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion"> </ng-template>
        </p-dataTable>
        &nbsp;
        <div style="margin-top: 10px;"></div>

        <div class="col-md-12">
            <div class="form-group">
                <div class="btn-filter-wrapper pull-right">
                    <button type="button" (click)="createRequestNote()" [disabled]="active" class="btn btn-primary btn-filter">
                        <span>Submit</span>
                        &nbsp;
                    </button>
                    &nbsp; &nbsp;
                </div>
            </div>
        </div>
        &nbsp;
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>